summaryrefslogtreecommitdiffstats
path: root/tests/testserver
diff options
context:
space:
mode:
authorMårten Nordheim <marten.nordheim@qt.io>2019-02-12 17:05:51 +0100
committerMårten Nordheim <marten.nordheim@qt.io>2019-02-28 15:48:31 +0000
commita247d08faef289dcaab2c7132189e3cf051d27fb (patch)
tree973cd2cc81cd918b8f03b1097a889f051e7ede17 /tests/testserver
parent1844f011f67a767d163d16d5338ad24ade7eb0c1 (diff)
Port tst_qtcpsocket to the docker server
The iptables container launches with extra capabilities to actually be able to make changes to the tables. Change-Id: I892fd18853ce882709e21791e6c88217e5029d53 Reviewed-by: Timur Pocheptsov <timur.pocheptsov@qt.io>
Diffstat (limited to 'tests/testserver')
-rw-r--r--tests/testserver/docker-compose.yml17
-rwxr-xr-xtests/testserver/iptables/iptables.sh34
2 files changed, 51 insertions, 0 deletions
diff --git a/tests/testserver/docker-compose.yml b/tests/testserver/docker-compose.yml
index fe39a49cca..4286c88211 100644
--- a/tests/testserver/docker-compose.yml
+++ b/tests/testserver/docker-compose.yml
@@ -31,6 +31,9 @@ services:
- apache2
external_links:
- apache2:apache2.${TEST_DOMAIN}
+ - cyrus:cyrus.${TEST_DOMAIN}
+ - iptables:iptables.${TEST_DOMAIN}
+ - vsftpd:vsftpd.${TEST_DOMAIN}
volumes:
- ./common:/common:ro
- ./squid:/service:ro
@@ -93,3 +96,17 @@ services:
- ./cyrus:/service:ro
entrypoint: common/startup.sh
command: service/cyrus.sh
+
+ iptables:
+ image: qt-test-server-iptables:cb7a8bd6d28602085a88c8ced7d67e28e75781e2
+ container_name: qt-test-server-iptables
+ domainname: ${TEST_DOMAIN}
+ hostname: iptables
+ volumes:
+ - ./common:/common:ro
+ - ./iptables:/service:ro
+ entrypoint: common/startup.sh
+ command: service/iptables.sh
+ cap_add:
+ - NET_ADMIN
+ - NET_RAW
diff --git a/tests/testserver/iptables/iptables.sh b/tests/testserver/iptables/iptables.sh
new file mode 100755
index 0000000000..9a48686d8b
--- /dev/null
+++ b/tests/testserver/iptables/iptables.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2019 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:GPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 3 or (at your option) any later version
+## approved by the KDE Free Qt Foundation. The licenses are as published by
+## the Free Software Foundation and appearing in the file LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+iptables -A INPUT -p tcp --destination-port 1357 -j DROP